GET
/api/v1/accounts/profile/detail/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/accounts/profile/detail/?apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/accounts/profile/detail/", params={"apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/accounts/profile/detail/");url.search = new URLSearchParams({ apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieves the details of a user’s profile, including basic information such as user ID, name, email, and contact information. Requires API key and bearer token for authorization.
Responses
Section titled “Responses”User profile fetched successfully
Media typeapplication/json
object
code
integer
message
string
data
object
status
boolean
message
string
website_link
string
social_link
string
work_load
string
official_email
string
nature_of_business
string
organization_type
string
email
string
first_name
string
last_name
string
phone
string
company_name
string
gstn
string
pan
string
tan
string
type
string
vat_id
string
company_other_name
string
customer_company_type
string
company_type
string
website
string
notify_me
boolean
address
string
city
string
zip
string
state
string
country
string
tds_rate
string
gst_treatment
string
signup_time
string
contact_person_details
string
errors
object
Example
{ "code": 200, "message": "Success", "data": { "status": true, "message": "user profile fetch successfully", "website_link": "", "social_link": "", "work_load": "AI/ML/Computer Vision Workload For Production and Staging", "official_email": "xyz@abc.com", "nature_of_business": "CLOUD AND MACHINE LEARNING", "organization_type": "", "email": "xyz@abc.com", "first_name": "xyz", "last_name": "xyz", "phone": "+919123456789", "company_name": "ABC", "gstn": "", "pan": "AB123SDF12", "tan": "", "type": "", "vat_id": "", "company_other_name": "", "customer_company_type": "individual", "company_type": "", "website": null, "notify_me": true, "address": "", "city": "", "zip": "", "state": "", "country": "IN", "tds_rate": "TDS_0", "gst_treatment": null, "signup_time": "Jan 14, 2025 11:22 AM", "contact_person_details": null }, "errors": {}}